#### PyKDE - Python Bindings for KDE

# class KNotify.Application |
Table of contents
Modules
tdefile Classes
All Classes

Module | tdefile
Class | KNotify.Application
Inherits |

### methods

- Application (path)

  returns a Application instance
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  path | TQString |

- appName ()

  returns (TQString)
  In versions KDE 3.1.0 and above only

- eventList ()

  returns (KNotify.EventList)
  In versions KDE 3.1.0 and above only

- icon ()

  returns (TQString)
  In versions KDE 3.1.0 and above only

- reloadEvents (revertToDefaults = 0)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  revertToDefaults | bool | 0

- save ()

  returns nothing
  In versions KDE 3.1.0 and above only

- text ()

  returns (TQString)
  In versions KDE 3.1.0 and above only